## org.apache.xerces.dom3
Interface DOMImplementationList

All Known Implementing Classes:
  DOMImplementationListImpl

public interface DOMImplementationList

The `DOMImplementationList` interface provides the abstraction of an ordered collection of DOM implementations, without defining or constraining how this collection is implemented. The items in the `DOMImplementationList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`int` `getLength()` The number of `DOMImplementation`s in the list.
`org.w3c.dom.DOMImplementation` `item(int index)` Returns the `index`th item in the collection.

Method Detail

### item

    public org.w3c.dom.DOMImplementation item(int index)

  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of `DOMImplementation`s in the list, this returns `null`.
  Parameters:
    `index` - Index into the collection.
  Returns:
    The `DOMImplementation` at the `index` th position in the `DOMImplementationList`, or `null` if that is not a valid index.

### getLength

    public int getLength()

  The number of `DOMImplementation`s in the list. The range of valid child node indices is 0 to `length-1` inclusive.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.